TreeImageBase (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.html.images.TreeImageBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class TreeImageBase

    java.lang.Object
      org.ajax4jsf.resource.InternetResourceBase
          org.ajax4jsf.resource.Java2Dresource
              org.richfaces.renderkit.html.images.TreeImageBase

All Implemented Interfaces:
  org.ajax4jsf.resource.InternetResource

Direct Known Subclasses:
  TreeLineCollapsedImage, TreeLineExpandedImage, TreeLineImage, TreeLineLastImage, TreeLineNodeImage, TreeMinusImage, TreePlusImage

    public abstract class TreeImageBase

extends org.ajax4jsf.resource.Java2Dresource

Nested Class Summary
`protected static class` | `TreeImageBase.TreeImageData`

Field Summary

Fields inherited from interface org.ajax4jsf.resource.InternetResource
`CODEC_ATTR, DATA_SEPARATOR, DEFAULT_EXPIRE, DEFAULT_EXPITE_PARAMETER, ENCODE_PASS_PARAMETER, ENCODE_URI_PARAMETER, RESOURCE_PROTOCOL, RESOURCE_URI_PREFIX, RESOURCE_URI_PREFIX_LENGTH`

Constructor Summary
`TreeImageBase()`

Method Summary
`protected java.lang.Object` | `getDataToStore(javax.faces.context.FacesContext context, java.lang.Object data)`
`TreeImageBase.TreeImageData` | `getTreeImageData(org.ajax4jsf.resource.ResourceContext resourceContext)`
`boolean` | `isCacheable()`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`getDimensions, getDimensions, getImage, getResourceAsStream, paint, send`

Methods inherited from class org.ajax4jsf.resource.InternetResourceBase
`deserializeData, encode, encode, encodeBegin, encodeEnd, getContentLength, getContentType, getExpired, getKey, getLastModified, getProperty, getRenderer, getUri, isCacheable, isSessionAware, requireFacesContext, restoreData, sendHeaders, setCacheable, setContentLength, setExpired, setKey, setLastModified, setProperty, setRenderer, setSessionAware`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeImageBase

    public TreeImageBase()

Method Detail

### getDataToStore

    protected java.lang.Object getDataToStore(javax.faces.context.FacesContext context,
                                              java.lang.Object data)

  Overrides:
    `getDataToStore` in class `org.ajax4jsf.resource.InternetResourceBase`

### isCacheable

    public boolean isCacheable()

### getTreeImageData

    public TreeImageBase.TreeImageData getTreeImageData(org.ajax4jsf.resource.ResourceContext resourceContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.